<?php
class EvAdBanner_Admin extends EvAdBanner_Banner {
    private static $ancora_pag = 'admin_banner';
    protected static $pagina_corrente;



    public function __construct() {
        parent::__construct();

        if (is_admin()) {
            $dove = 'admin_init';
        } else {
            $dove = 'init';
        }
        if (!has_action('banner_translator2')) {

//            add_action('plugins_loaded', array($this, 'banner_translator2'));
//            add_action($dove, array($this, 'banner_translator2'));
        }
        add_action( 'admin_enqueue_scripts', array($this, 'load_common_styles_and_scripts') );
        add_action( 'admin_notices', array ($this, 'visualizza_messaggi_db'));
    }


    final public function banner_translator2 () {
//        echo '<h1 style="margin-top: 10%; text-align: center;">'.basename( dirname( __FILE__ ) ) .'/languages</h1>';
//        load_plugin_textdomain(EVADBANNER_ANCORA_TRAD, false, basename( dirname( __FILE__ ) ) .'/languages' );
        load_plugin_textdomain(EVADBANNER_ANCORA_TRAD, false, EVADBANNER_PLUGIN_DIR.'languages' );
    }



    final public function load_common_styles_and_scripts() {
        self::load_styles();
        self::load_scripts();
    }
    private function load_styles() {
        wp_register_style (EVADBANNER_PREFISSO.self::$ancora_pag, EVADBANNER_PLUGIN_URL.'css/'.self::$ancora_pag.
            '.css', array(), EVADBANNER_CSS_ADM);
        wp_enqueue_style (EVADBANNER_PREFISSO.self::$ancora_pag, false, array(), EVADBANNER_CSS_ADM);

        // AGGIUNGE I STILI PERSONALIZZATI NEL METODO "stili_personalizzati()"
//        wp_add_inline_style( EVADBANNER_PREFISSO.self::$ancora_pag, self::admin_custom_styles() );
    }
    private function load_scripts() {
        wp_register_script(EVADBANNER_PREFISSO . self::$ancora_pag, EVADBANNER_PLUGIN_URL . 'js/'.self::$ancora_pag.
            '.js', array('jquery-core'), EVADBANNER_JS_ADM);
        wp_enqueue_script(EVADBANNER_PREFISSO . self::$ancora_pag, false, array(), EVADBANNER_JS_ADM);
    }
    private function admin_custom_styles() {
        $custom_css = '';

        return $custom_css;
    }




    /**
     * @param string $tipo        - "error" oppure "updated"
     *
     * @param string $messaggio   -
     */
    final public function aggiungi_messaggio_db ($tipo = NULL, $messaggio = NULL) {
        add_settings_error(
            EVADBANNER_PREFISSO.'messaggi',
            esc_attr('settings_updated'),
            $messaggio,
            $tipo
        );
    }
    final public static function visualizza_messaggi_db () {
        settings_errors(EVADBANNER_PREFISSO.'messaggi');
    }

    /**
     * @param string $tipo      - error, warning, info e success
     *
     * @param string $messaggio - il messaggio !
     */
    protected static function visualizza_comunicazioni_utente ($tipo, $messaggio) {
        $stampa = '<div class="notice notice-'.$tipo.' is-dismissible"><p>'.$messaggio.'</p></div>';

        echo $stampa;
    }
}