<?php
/**
 * @package BeBEventsAdsBanner
 */
/*
Plugin Name: Events Ads Banner
Plugin URI: https://wordpress.org/plugins/eventsads-banner/
Description: A simple banner to show advertising, comunications, events and more. Very simple to use and to customize ! Try it !!!
Version: 2.0.0
Author: Fabio M.T.
Author URI: http://dalet-group.com/events-ads-banner/
Network: http://dalet-group.com/events-ads-banner/
Contact: Forum
Contact URI: http://dalet-group.com/en/forums/forum/events-ads-banner/

Text Domain: eventsads-banner
Domain Path: /languages

Copyright 2014  Fabio Maria Torrini  (info@dalet-group.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'La funzione richiesta NON esiste !';
	exit;
}
if (!defined('EVADBANNER_VERSION')) {
    define('EVADBANNER_VERSION', '2.0.0');
}

if (!defined('EVADBANNER_CSS_ADM')) {
    define('EVADBANNER_CSS_ADM', '1.2.1');
}
if (!defined('EVADBANNER_CSS_ADM_HOME')) {
    define('EVADBANNER_CSS_ADM_HOME', '1.2.0');
}
if (!defined('EVADBANNER_CSS_ADM_ADD')) {
    define('EVADBANNER_CSS_ADM_ADD', '1.2.0');
}
if (!defined('EVADBANNER_CSS_ADM_SET')) {
    define('EVADBANNER_CSS_ADM_SET', '1.2.0');
}
if (!defined('EVADBANNER_CSS_VIEW')) {
    define('EVADBANNER_CSS_VIEW', '1.2.0');
}
if (!defined('EVADBANNER_JS_ADM')) {
    define('EVADBANNER_JS_ADM', '1.0.0');
}
if (!defined('EVADBANNER_JS_ADM_HOME')) {
    define('EVADBANNER_JS_ADM_HOME', '1.3.0');
}
if (!defined('EVADBANNER_JS_ADM_ADD')) {
    define( 'EVADBANNER_JS_ADM_ADD', '1.3.0' );
}
if (!defined('EVADBANNER_JS_ADM_SET')) {
    define( 'EVADBANNER_JS_ADM_SET', '1.3.0' );
}
if (!defined('EVADBANNER_JS_VIEW')) {
    define( 'EVADBANNER_JS_VIEW', '1.3.0' );
}
if (!defined('EVADBANNER_MINIMUM_WP_VERSION')) {
    define( 'EVADBANNER_MINIMUM_WP_VERSION', '3.1' );
}
if (!defined('EVADBANNER_PLUGIN_URL')) {
    define( 'EVADBANNER_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}
if (!defined('EVADBANNER_PLUGIN_DIR')) {
    define( 'EVADBANNER_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
}
if (!defined('EVADBANNER_DELETE_LIMIT')) {
    define( 'EVADBANNER_DELETE_LIMIT', 100000 );
}
if (!defined('EVADBANNER_ANCORA_TRAD')) {
    define ('EVADBANNER_ANCORA_TRAD', 'eventsads-banner');
}
if (!defined('EVADBANNER_PREFISSO')) {
    define ('EVADBANNER_PREFISSO', 'fmt_evadban_');
}
if (!defined('EVADBANNER_ANCORA_CONTENUTO')) {
    define ('EVADBANNER_ANCORA_CONTENUTO', EVADBANNER_PREFISSO.'contenuto');
}
if (!defined('EVADBANNER_ANCORA_IMPOSTAZIONI')) {
    define('EVADBANNER_ANCORA_IMPOSTAZIONI', EVADBANNER_PREFISSO . 'impostazioni');
}


if (is_admin()) {
	if (!class_exists('EvAdBanner_Admin_Init')) {
        if (!include_once(EVADBANNER_PLUGIN_DIR.'admin/admin_init_class.php')) {
            echo '<h2><strong>ERRORE</strong> - cod. 0101 - Ci scusiamo tanto,e\' stato riscontrato un problema nel
            caricamento di alcuni file. Prego contattare lo sviluppatore</h2>';
        }
        register_activation_hook (__FILE__, array('EvAdBanner_Admin_Init', 'attivazione_plugin'));
        register_deactivation_hook(__FILE__, array('EvAdBanner_Admin_Init', 'disattivazione_plugin'));
	    $aggiorna_stato = NULL;
	    if (isset($_POST[EVADBANNER_PREFISSO.'contenuto']['banner_id_array'])) {
	        $aggiorna_stato = $_POST[EVADBANNER_PREFISSO.'contenuto'];
	    }

        $pannello_amministrazione = new EvAdBanner_Admin_Init($aggiorna_stato);
    }
} elseif ('wp-login.php' !== $GLOBALS['pagenow'] and !wp_is_mobile()) {
    if (!class_exists('EvAdBanner_Banner')) {
        if (!include_once(EVADBANNER_PLUGIN_DIR.'banner_class.php')) {
            echo '<h2><strong>ERRORE</strong> - cod. 0102 - Ci scusiamo tanto,e\' stato riscontrato un problema nel
                caricamento di alcuni file. Prego contattare lo sviluppatore</h2>';
        }
        $banner = new EvAdBanner_Banner(true);
    }
}
