jQuery(document).ready(function($){
	var fmt_eab_colore_1 = 'name="evadban-adm-settings[background-color][colore_1]"';
	var fmt_eab_colore_2 = 'name="evadban-adm-settings[background-color][colore_2]"';


	// ------------------------------ COLORS AND FONT-SIZE----------------------------------
    $('input[type="text"]').keyup(function(){
		var eab_fmt_riferimenti = fmt_eab_recuperaProprietaERiferimento($(this).attr('name'));
        var fmt_eab_valore		= $(this).val();

        if ('opacity' === eab_fmt_riferimenti['tipoProprieta']) {
			$(eab_fmt_riferimenti['riferimentoCss']).css('opacity', fmt_eab_valore);
		} else if ('color' === eab_fmt_riferimenti['tipoProprieta'] || 'font-size' === eab_fmt_riferimenti['tipoProprieta']) {
			$(this).prev().prev('div').css('background-color', '#' + fmt_eab_valore);
			if ('color' === eab_fmt_riferimenti['tipoProprieta']) {
                fmt_eab_valore = '#' + fmt_eab_valore;
			} else {
                $('.fmt-eab-contenitore-banner ' + eab_fmt_riferimenti['riferimentoCss']).css('line-height', parseInt(fmt_eab_valore.replace('px', '')) + 2 + 'px');
			}
            $('.fmt-eab-contenitore-banner ' + eab_fmt_riferimenti['riferimentoCss']).css(eab_fmt_riferimenti['tipoProprieta'], fmt_eab_valore);
        } else if ('colore_1' === eab_fmt_riferimenti['tipoProprieta'] || 'colore_2' === eab_fmt_riferimenti['tipoProprieta']) {
            if ('colore_1' === eab_fmt_riferimenti['tipoProprieta']) {
                $('.fmt-eab-contenitore-banner > div:first-child').css('border-right-color', '#' + fmt_eab_valore);
                $('.fmt-eab-contenitore-banner > div:last-child').css('background', 'linear-gradient(to right, #' +
                    fmt_eab_valore + ', #' + $('input[' + fmt_eab_colore_2 + ']').val() +
                    ') repeat scroll 0 0 rgba(0, 0, 0, 0)');
            } else if ('colore_2' === eab_fmt_riferimenti['tipoProprieta']) {
                $('.fmt-eab-contenitore-banner > div:last-child').css('background', 'linear-gradient(to right, #' +
                    $('input[' + fmt_eab_colore_1 + ']').val() + ', #' + fmt_eab_valore +
                    ') repeat scroll 0 0 rgba(0, 0, 0, 0)');
            }
        }
    });

    // ------------------------------ BACKGROUND COLOR'S Q.TY AND TEXT-ALIGN----------------------------------
    $('input[type="radio"]').click(function(){
        var eab_fmt_riferimenti = fmt_eab_recuperaProprietaERiferimento($(this).attr('name'));
		var fmt_eab_selezione 	= $(this).val();

		if ('num_colori' === eab_fmt_riferimenti['tipoProprieta']) {
			if (1 == fmt_eab_selezione) {
                $('.fmt-eab-colore-2').hide('slow');
                $('.fmt-eab-contenitore-banner > div:last-child').css('background', '#' + $('input[' + fmt_eab_colore_1 + ']').val());
			} else if (2 == fmt_eab_selezione) {
                $('.fmt-eab-colore-2').show('slow');
                $('.fmt-eab-contenitore-banner > div:last-child').css('background', 'linear-gradient(to right, #' +
                    $('input[' + fmt_eab_colore_1 + ']').val() + ', #' + $('input[' + fmt_eab_colore_2 + ']').val() +
                    ') repeat scroll 0 0 rgba(0, 0, 0, 0)');
			}
		} else {
            $('.fmt-eab-contenitore-banner ' + eab_fmt_riferimenti['riferimentoCss']).css(eab_fmt_riferimenti['tipoProprieta'], fmt_eab_selezione);
        }
    });


	function fmt_eab_recuperaProprietaERiferimento($nameObject) {
		var tmp = $nameObject;
		var tmp2 = tmp.split('[');
		delete tmp2[0];

		var response = {'riferimentoCss': tmp2[1].replace("]", ''), 'tipoProprieta': tmp2[2].replace("]", '')};

		return response;
	}
});