<?php
if (isset($this->contenuto['stato_banner']) and 'on' === $this->contenuto['stato_banner']) {
    $mostra = true;
}
if (isset($this->contenuto['expire'])) {
    $timeStamp_expire_banner = strtotime($this->contenuto['expire']);
}
if ((true === $mostra and ((isset($timeStamp_expire_banner) and $timeStamp_oggi <= $timeStamp_expire_banner) or
        !isset($timeStamp_expire_banner))) or true === $this->is_admin) {
    if (false !== $this->plugin_per_traduzioni) {
        foreach ($this->contenuto as $chiave_array => $contenuto_sing) {
            if (!is_numeric($contenuto_sing) and false === array_search($chiave_array, self::$chiavi_da_escludere_da_traduzione)) {
                if ('wpml' === $this->plugin_per_traduzioni) {
                    $this->contenuto[$chiave_array] = icl_translate(self::$prefisso_nome, 'EAB - ' .
                        $chiave_array, $contenuto_sing);
                } elseif ('polylang' === $this->plugin_per_traduzioni) {
//                         Da aggiungere
                }
            }
        }
    }
    if (isset($this->contenuto['data_evento_giorno'])) {
        if ($this->contenuto['data_evento_giorno'] < 10 and strlen($this->contenuto['data_evento_giorno']) == 1) {
            $this->contenuto['data_evento_giorno'] = '0' . $this->contenuto['data_evento_giorno'];
        }
    }
    if (isset($this->contenuto['data_evento_mese'])) {
        if ($this->contenuto['data_evento_mese'] < 10 and strlen($this->contenuto['data_evento_mese']) == 1) {
            $this->contenuto['data_evento_mese'] = '0' . $this->contenuto['data_evento_mese'];
        }
    }

    $chiudi_banner = false;
    if (isset($this->contenuto['open']) and !$this->is_admin) {
        $url_protocollo_http = explode('/', $_SERVER["SERVER_PROTOCOL"]);
        $url_protocollo_http = $url_protocollo_http[0];
//            $url_da_WP = get_site_url() . '/';
//            $url_da_WP = 'localhost/';
        $url_da_WP = get_home_url().'/';
        $url_ricostruito = strtolower($url_protocollo_http) . '://' . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];

//            if ('never' === $this->contenuto['open'] or ('home' === $this->contenuto['open'] and (is_home() or
//                        is_page('home'))) or ('home' === $this->contenuto['open'] and $url_da_WP !== $url_ricostruito)) {
        if ('never' === $this->contenuto['open'] or ('home' === $this->contenuto['open'] and $url_da_WP !== $url_ricostruito)) {
//            if ('never' === $this->contenuto['open'] or ('home' === $this->contenuto['open'] and is_home() == true)) {
            $banner_aperto_chiuso = 'chiuso';
        } else {
            $banner_aperto_chiuso = 'aperto';
        }
    }
    ?>

    <div class="fmt-eab-contenitore-banner" data-fmt-banner-aperto="<?php echo $banner_aperto_chiuso; ?>"
        <?php echo (isset($this->contenuto['delay']) ? 'data-fmt-delay-banner="'.$this->contenuto['delay'].'"' : ''); ?>
        data-fmt-banner-is-admin="<?php echo (true === $this->is_admin ? 'true"' : 'false'); ?>"
        <?php echo (isset($this->contenuto['immagine_show']) ? 'data-fmt-banner-immagine = "'.$this->contenuto['immagine_show'].'"' : ''); ?>
        <?php echo (($this->is_admin === true and 'off' === $this->contenuto['stato_banner']) ? 'style="opacity: 0.4;"' : ''); ?>>
<?php if (!$this->is_admin and (isset($this->contenuto['link_totale']) and 'si' === $this->contenuto['link_totale'])): ?>
    <a href="<?php echo $this->contenuto['link_sx']; ?>">
<?php endif;?>
    <div>
        <img class="fmt-eab-banner-bottone" src="<?php echo EVADBANNER_PLUGIN_URL.$imm_bottone_banner; ?>" />
    </div>
    <div>
        <?php if (isset($this->contenuto['data_evento_giorno']) or isset($this->contenuto['data_evento_mese'])): ?>
            <div class="fmt-eab-banner-data" alt="fmt-eab-banner-data"<?php echo ((!isset($this->contenuto['data_evento_giorno']) and
            !isset($this->contenuto['data_evento_mese'])) ? ' style="display: none;"' : ''); ?>>
                <?php if (isset($this->contenuto['data_evento_giorno'])): ?>
                    <h1<?php echo ((!isset($this->contenuto['data_evento_mese']) or empty($this->contenuto['data_evento_mese'])) ?
                        ' style="border-bottom: 1px solid #ffffff; padding-bottom: 10px;"' : ''); ?>>
                        <?php echo $this->contenuto['data_evento_giorno']; ?>
                    </h1>
                <?php endif; ?>
                <?php if (isset($this->contenuto['data_evento_mese'])): ?>
                    <h2><?php echo array_search($this->contenuto['data_evento_mese'], $this->mappa_mese_abr_mese); ?></h2>
                <?php endif; ?>
            </div>
        <?php endif; ?>
        <?php if (isset($this->contenuto['immagine'])): ?>
            <div class="fmt-eab-banner-immagine"<?php echo ('hide' === $this->contenuto['immagine_show'] ?' alt="nascondi" ' : ''); ?>>
                <img src="<?php echo $this->contenuto['immagine']; ?>">
            </div>
        <?php endif; ?>
        <?php if (isset($this->contenuto['titolo']) or isset($this->contenuto['sottotitolo']) or isset($this->contenuto['descrizione']) or
            isset($this->contenuto['link_sx_titolo']) or isset($this->contenuto['link_dx_titolo'])): ?>
            <div class="fmt-eab-banner-testo">
                <?php if (isset($this->contenuto['titolo'])): ?>
                    <h1><?php echo $this->contenuto['titolo']; ?></h1>
                <?php endif; ?>
                <?php if (isset($this->contenuto['sottotitolo'])): ?>
                    <h2><?php echo $this->contenuto['sottotitolo']; ?></h2>
                <?php endif; ?>
                <?php if (isset($this->contenuto['descrizione'])): ?>
                    <p><?php echo $this->contenuto['descrizione']; ?></p>
                <?php endif; ?>
                <?php if (isset($this->contenuto['link_sx_titolo'])): ?>
                    <div class="fmt-eab-banner-prenota-sx">
                        <a href="<?php echo ($this->is_admin ? 'http://#' : $this->contenuto['link_sx']); ?> ">
                            <?php echo $this->contenuto['link_sx_titolo']; ?>
                        </a>
                    </div>
                <?php endif; ?>
                <?php if (isset($this->contenuto['link_dx_titolo'])): ?>
                    <div class="fmt-eab-banner-prenota-dx">
                        <a href="<?php echo ($this->is_admin ? 'http://#' : $this->contenuto['link_dx']); ?>">
                            <?php echo $this->contenuto['link_dx_titolo']; ?>
                        </a>
                    </div>
                <?php endif; ?>
            </div>
        <?php endif; ?>
    </div>
<?php if (!$this->is_admin and (isset($this->contenuto['link_totale']) and 'si' === $this->contenuto['link_totale'])): ?>
    </a>
<?php endif;?>
</div>
<?php
}
