<?php if ('wpml' === $this->plugin_per_traduzioni and !function_exists('icl_register_string')): ?>
    <div class="fmt-eab-contenitore-admin fmt-eab-preview" style="border-color: #ff0000;">
        <h1 style="color: #ff0000; line-height: 100%; margin: 0;">
            <?php echo __('You have installed WPML, to run the banner in multilingual mode you need to install "String-Translation"', EVADBANNER_ANCORA_TRAD); ?>
        </h1>
    </div>
<?php endif; ?>
<?php if (isset($this->contenuto['banner_esempio'])): ?>
    <h1 class="fmt-eab-riass-add">
        <a href="<?php echo site_url();?>/wp-admin/admin.php?page=<?php echo EvAdBanner_Admin_Init::getPagesName('add'); ?>"><?php echo __("Create first banner", EVADBANNER_ANCORA_TRAD); ?></a>
    </h1>
<?php endif; ?>

<form method="post" action="options.php">
    <?php settings_fields(self::$ancora_pag.'_gr'); ?>
    <div class="fmt-eab-contenitore-admin fmt-eab-riga">
        <h1><?php echo __("Event Name", EVADBANNER_ANCORA_TRAD).': <i>"'.$this->contenuto['nome_evento'].'"</i>'; ?></h1>
        <div class="fmt-eab-riga">
            <div class="fmt-eab-banner-operazioni">
                <div class="fmt-eab-col-sx">
                    <div class="fmt-eab-interruttore-banner">
                        <input type="checkbox" name="<?php echo self::$ancora_pag; ?>[stato_banner]" class="fmt-eab-interruttore-banner-checkbox"
                               id="myfmt-eab-interruttore-banner"<?php echo ('on' === $this->contenuto['stato_banner'] ? ' checked="checked"' : ''); ?>>
                        <label class="fmt-eab-interruttore-banner-label" for="myfmt-eab-interruttore-banner">
                            <span class="fmt-eab-interruttore-banner-inner"></span>
                            <span class="fmt-eab-interruttore-banner-switch"></span>
                        </label>
                    </div>

                </div>
                <div class="fmt-eab-col-dx">
                    <?php if (!isset($this->contenuto['banner_esempio'])): ?>
                        <button class="dashicons dashicons-trash" type="submit" name="<?php echo self::$ancora_pag; ?>[remove]">&nbsp;</button>
                        <a class="dashicons dashicons-edit"
                           href="<?php echo site_url();?>/wp-admin/admin.php?page=<?php echo EvAdBanner_Admin_Init::getPagesName('add'); ?>">&nbsp;</a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="fmt-eab-riga">
            <div class="fmt-eab-col-sx">

                <div class="fmt-eab-proprieta-banner">
                    <p>
                        <strong><?php echo __("Open the Banner", EVADBANNER_ANCORA_TRAD); ?>:</strong>
                        <select name="<?php echo self::$ancora_pag; ?>[open]" style="margin-left: 20px;">
                            <option value="home" <?php if ('home' === $this->contenuto['open']) { echo 'selected="selected"' ;}?>>
                                <?php echo __("Open only in Home Page", EVADBANNER_ANCORA_TRAD); ?>
                            </option>
                            <option value="all" <?php if ('all' === $this->contenuto['open']) { echo 'selected="selected"' ;}?>>
                                <?php echo __("Open in all site", EVADBANNER_ANCORA_TRAD); ?>
                            </option>
                            <option value="never" <?php if ('never' === $this->contenuto['open']) { echo 'selected="selected"' ;}?>>
                                <?php echo __("Never open", EVADBANNER_ANCORA_TRAD); ?>
                            </option>
                        </select>
                    </p>
                    <p class="fmt-eab-add-banner-sugg">
                        <?php echo __("(Open the banner only in the home page, or in all site, or never)", EVADBANNER_ANCORA_TRAD); ?>
                    </p>

                </div>
            </div>
            <div class="fmt-eab-col-dx">
                <?php if (isset($this->contenuto['immagine']) and !empty($this->contenuto['immagine'])):?>
                    <p>
                        <strong><?php echo __("Show Image in Closed Mode", EVADBANNER_ANCORA_TRAD); ?>:</strong>
                        <input type="radio" name="<?php echo self::$ancora_pag; ?>[immagine_show]" value="show"
                            <?php if ('show' === $this->contenuto['immagine_show']) { echo 'checked="checked"'; } ?>>
                        <?php echo __("Show", EVADBANNER_ANCORA_TRAD); ?>&nbsp;&nbsp;&nbsp;
                        <input type="radio" name="<?php echo self::$ancora_pag; ?>[immagine_show]" value="hide"
                            <?php if ('hide' === $this->contenuto['immagine_show']) { echo 'checked="checked"'; } ?>>
                        <?php echo __("Hide", EVADBANNER_ANCORA_TRAD); ?>
                    </p>
                    <p class="fmt-eab-add-banner-sugg">
                        <?php echo __("(When the banner is closed you prefer show the image?)", EVADBANNER_ANCORA_TRAD); ?>
                    </p>
                <?php endif;?>

            </div>
        </div>
        <div class="fmt-eab-riga">
            <div class="fmt-eab-accendi-spengi"></div>
            <?php parent::evadbanner_Banner(); ?>
        </div>
        <div class="fmt-eab-riga">
            <p class="submit">
                <input id="submit" type="submit" class="button button-primary" value="<?php echo __("Save", EVADBANNER_ANCORA_TRAD); ?>"
                       name="<?php echo self::$ancora_pag; ?>[submit]" />
            </p>
        </div>
    </div>
</form>
