jQuery(document).ready(function($){
    // ---------------------------------------- ANIMAZIONE BOTTONI ON/OFF ----------------------------------------------
    var larghezzaContenitoreBottone = parseInt($('.fmt-eab-interruttore-banner-label').width());
    var larghezzaBottone            = parseInt($('.fmt-eab-interruttore-banner-switch').width());
    var velocitaAnimazione          = 300;


    $('.fmt-eab-interruttore-banner').toggle(function () {
        $(this).children('input.fmt-eab-interruttore-banner-checkbox').attr('checked', 'checked');
        $(this).children('label.fmt-eab-interruttore-banner-label').children('span.fmt-eab-interruttore-banner-switch').animate({
            right: 0
        }, velocitaAnimazione);
        $(this).children('label.fmt-eab-interruttore-banner-label').children('span.fmt-eab-interruttore-banner-inner').animate({
            'margin-left': 0
        }, velocitaAnimazione, function () {
            $(this).parent('label.fmt-eab-interruttore-banner-label').css('box-shadow', '0 0 7px #00ffff');
            $(this).next('span.fmt-eab-interruttore-banner-switch').css('box-shadow', 'inset 0 0 2px #00ffff');
        });

    }, function () {
        $(this).children('input.fmt-eab-interruttore-banner-checkbox').removeAttr('checked');
        $(this).children('label.fmt-eab-interruttore-banner-label').children('span.fmt-eab-interruttore-banner-switch').animate({
            right: (larghezzaContenitoreBottone - larghezzaBottone)
        }, velocitaAnimazione);
        $(this).children('label.fmt-eab-interruttore-banner-label').children('span.fmt-eab-interruttore-banner-inner').animate({
            'margin-left': '-100%'
        }, velocitaAnimazione, function () {
            $(this).parent('label.fmt-eab-interruttore-banner-label').css('box-shadow', 'none');
            $(this).next('span.fmt-eab-interruttore-banner-switch').css('box-shadow', 'none');
        });
    });
    // -------------------------------------- CHECK SE IL BOTTONE STA SU ON --------------------------------------------
    $('input.fmt-eab-interruttore-banner-checkbox:checked').each(function () {
        $(this).next('label.fmt-eab-interruttore-banner-label').children('span.fmt-eab-interruttore-banner-switch').css({
            right: 0,
            'box-shadow': 'inset 0 0 2px #00ffff'
        });

        $(this).next('label.fmt-eab-interruttore-banner-label').children('span.fmt-eab-interruttore-banner-inner').css('margin-left', 0);
        $(this).next('label.fmt-eab-interruttore-banner-label').css('box-shadow', '0 0 7px #00ffff');
        $(this).next('label.fmt-eab-interruttore-banner-label').css('right', 0);
    });

});