function fmt_eab_Banner_getPluginUrl() {
    var plugin = 'wp-content/plugins/eventsads-banner/';
    var href = window.location.href;
    var index = href.indexOf('/wp-admin');
    var homeUrl = href.substring(0, index) + '/';


    return homeUrl + plugin;
}
jQuery(document).ready(function($){
    // -------------------- IMPOSTO L'ALTEZZA MASSIMA DEL CONTENUTO P -----------------------
    // RECUPERO L'ALTEZZA DEL BANNER
    var altezzaTesto = parseInt($('.fmt-eab-contenitore-banner').height());
    // SOTTRAGGO I PADDING
    altezzaTesto -= (parseInt($('.fmt-eab-contenitore-banner').children('div:last-child').css('padding-top')) * 2);
    // SOTTRAGGO L'ALTEZZA DELL'H1
    altezzaTesto -= parseInt($('.fmt-eab-contenitore-banner').children('div:last-child').children('div.fmt-eab-banner-testo').children('h1').height());
    // SOTTRAGGO L'ALTEZZA DELL'H2
    altezzaTesto -= parseInt($('.fmt-eab-contenitore-banner').children('div:last-child').children('div.fmt-eab-banner-testo').children('h2').height());
    // SOTTRAGGO L'ALTEZZA DEI LINK IN BASSO
    altezzaTesto -= parseInt($('.fmt-eab-banner-prenota-sx').height());
    altezzaTesto -= 5;
    // ASSEGNO L'ALTEZZA MASSIMA DEL TESTO
    $('.fmt-eab-contenitore-banner').children('div:last-child').children('div.fmt-eab-banner-testo').children('p').css('height', altezzaTesto);


    var fmt_eab_proprietaBanner = recuperaProprietaBanner($('.fmt-eab-contenitore-banner'));

    fmt_eab_Banner_OpenClose($('.fmt-eab-contenitore-banner'), true);

    $('img.fmt-eab-banner-bottone').click(function (){
        // fmt_eab_Banner_OpenClose($('.fmt-eab-contenitore-banner').parent().parent(), false);
        fmt_eab_Banner_OpenClose($('.fmt-eab-contenitore-banner'), false);
    });







    function recuperaProprietaBanner(contenitoreBanner) {
        var risposta = {
            posizioneAttualeBanner: contenitoreBanner.css('right'),
            bottoneBanner: contenitoreBanner.children('div:first-child').children('img.fmt-eab-banner-bottone'),
            contenitoreTesto: contenitoreBanner.children('div:last-child').children('div.fmt-eab-banner-testo'),
            contenitoreImg: contenitoreBanner.children('div:last-child').children('div.fmt-eab-banner-immagine'),
            showImage: contenitoreBanner.attr('data-fmt-banner-immagine'),
            aperturaBanner: contenitoreBanner.attr('data-fmt-banner-aperto')
        };
        var urlTmp = risposta.bottoneBanner.attr("src");
        urlTmp = urlTmp.split('/');
        delete urlTmp [0];
        delete urlTmp [urlTmp.length-1];
        risposta.url = 'http:' + urlTmp.join('/');
        delete urlTmp;

        // LARGHEZZA TESTO
        risposta.larghezzaDaNascondere  = parseInt(risposta.contenitoreTesto.width());
        // AGGIUNGO PADDING TESTO
        risposta.larghezzaDaNascondere += (parseInt(risposta.contenitoreTesto.css('padding-left')) * 2);
        if (contenitoreBanner.children('div:last-child').children('div.fmt-eab-banner-cont-immagine')) {
            if ('hide' === risposta.showImage) {
                // AGGIUNGO LARGHEZZA IMMAGINE
                risposta.larghezzaDaNascondere += parseInt(risposta.contenitoreImg.width());
                // AGGIUNGO MARGINE IMMAGINE
                risposta.larghezzaDaNascondere += parseInt(risposta.contenitoreImg.css('margin-left').replace('px', ''));
                // AGGIUNGO MARGINE IMMAGINE
                risposta.larghezzaDaNascondere += parseInt(risposta.contenitoreImg.css('margin-right').replace('px', ''));
            }
        }
        risposta.larghezzaDaNascondere = risposta.larghezzaDaNascondere * -1;

        return risposta;
    }
    function fmt_eab_Banner_OpenClose(contenitoreBanner, primoAvvio) {
        if (true === primoAvvio) {
            // SE IL BANNER E' PREIMPOSTATO CHIUSO, LO CHIUDO AL CARICAMENTO DELLA PAGINA
            if ('chiuso' === fmt_eab_proprietaBanner.aperturaBanner) {
                contenitoreBanner.children('div').animate({
                    'right': fmt_eab_proprietaBanner.larghezzaDaNascondere
                }, 500);
                fmt_eab_proprietaBanner.bottoneBanner.attr('src', fmt_eab_proprietaBanner.url + 'freccia_sx.png');
            }
        } else {

            if ('aperto' === fmt_eab_proprietaBanner.aperturaBanner) {
                // Banner aperto --> lo chiudo
                contenitoreBanner.children('div').animate({
                    'right': fmt_eab_proprietaBanner.larghezzaDaNascondere
                }, 500, function () {
                    $('img.fmt-eab-banner-bottone').attr('src', fmt_eab_proprietaBanner.url + 'freccia_sx.png');
                    contenitoreBanner.attr('data-fmt-banner-aperto', 'chiuso');
                    fmt_eab_proprietaBanner.aperturaBanner = 'chiuso';
                });
            } else if ('chiuso' === fmt_eab_proprietaBanner.aperturaBanner) {
                // Banner chiuso --> lo apro
                contenitoreBanner.children('div').animate({
                    'right': 0
                }, 500, function () {
                    $('img.fmt-eab-banner-bottone').attr('src', fmt_eab_proprietaBanner.url + 'freccia_dx.png');
                    contenitoreBanner.attr('data-fmt-banner-aperto', 'aperto');
                    fmt_eab_proprietaBanner.aperturaBanner = 'aperto';
                });
            }
        }
    }
});